/*******************************************************************************
 * FoxDataProvider_MapInfo generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDataProvider_MapInfo extends UIResourceDataProvider
    transient
    native
    config(MapInfo)
    perobjectconfig
    hidecategories(Object,UIRoot);

var const config string MapName;
var const config localized string NumPlayers;
var const config string FriendlyName;
var const config localized string Description;
var const config string PreviewImageMarkup;
var const config array<config name> SupportedGameModes;
var const config int PresenceContext;
var const config bool bHasRainEffect;
var const config bool bCoopMap;
var const config bool bAvailableForPractice;
var const config bool bAvailableForPlayGo;
var const config array<config name> BaseLevelStreamNames;
var const config array<config name> DMStreamNames;
var const config array<config name> TDMStreamNames;
var const config array<config name> DomStreamNames;
var const config array<config name> KOTHStreamNames;
var const config array<config name> CTFStreamNames;
var const config array<config name> EOTSStreamNames;
var const config array<config name> PLStreamNames;
var const config array<config name> SNDStreamNames;
var const config array<config name> LMSStreamNames;
var const config name RainStreamName;
var const config string LargePreviewImageMarkup;

event array<name> GetAllStreamNames()
{
    local array<name> StreamNames;
    local int I;

    StreamNames = BaseLevelStreamNames;
    I = 0;
    J0x1E:
    // End:0x64 [Loop If]
    if(I < DMStreamNames.Length)
    {
        StreamNames.AddItem(DMStreamNames[I]);
        ++ I;
        // [Loop Continue]
        goto J0x1E;
    }
    I = 0;
    J0x6F:
    // End:0xB5 [Loop If]
    if(I < TDMStreamNames.Length)
    {
        StreamNames.AddItem(TDMStreamNames[I]);
        ++ I;
        // [Loop Continue]
        goto J0x6F;
    }
    I = 0;
    J0xC0:
    // End:0x106 [Loop If]
    if(I < DomStreamNames.Length)
    {
        StreamNames.AddItem(DomStreamNames[I]);
        ++ I;
        // [Loop Continue]
        goto J0xC0;
    }
    I = 0;
    J0x111:
    // End:0x157 [Loop If]
    if(I < KOTHStreamNames.Length)
    {
        StreamNames.AddItem(KOTHStreamNames[I]);
        ++ I;
        // [Loop Continue]
        goto J0x111;
    }
    I = 0;
    J0x162:
    // End:0x1A8 [Loop If]
    if(I < CTFStreamNames.Length)
    {
        StreamNames.AddItem(CTFStreamNames[I]);
        ++ I;
        // [Loop Continue]
        goto J0x162;
    }
    I = 0;
    J0x1B3:
    // End:0x1F9 [Loop If]
    if(I < EOTSStreamNames.Length)
    {
        StreamNames.AddItem(EOTSStreamNames[I]);
        ++ I;
        // [Loop Continue]
        goto J0x1B3;
    }
    I = 0;
    J0x204:
    // End:0x24A [Loop If]
    if(I < PLStreamNames.Length)
    {
        StreamNames.AddItem(PLStreamNames[I]);
        ++ I;
        // [Loop Continue]
        goto J0x204;
    }
    // End:0x2CC
    if(class'FoxGame'.default.FilteredGameProviders.Find('SearchAndDestroy') < 0)
    {
        I = 0;
        J0x286:
        // End:0x2CC [Loop If]
        if(I < SNDStreamNames.Length)
        {
            StreamNames.AddItem(SNDStreamNames[I]);
            ++ I;
            // [Loop Continue]
            goto J0x286;
        }
    }
    I = 0;
    J0x2D7:
    // End:0x31D [Loop If]
    if(I < LMSStreamNames.Length)
    {
        StreamNames.AddItem(LMSStreamNames[I]);
        ++ I;
        // [Loop Continue]
        goto J0x2D7;
    }
    return StreamNames;
    //return ReturnValue;    
}

function bool SupportsGameMode(name GameModeProviderName)
{
    return (SupportedGameModes.Length == 0) || SupportedGameModes.Find(GameModeProviderName) >= 0;
    //return ReturnValue;    
}
